#include <iostream>
#include <cmath>
using namespace std;

int main()
{
    long n,m;
    cin>>n>>m;
    long long a[n],x[m],y[m],suma=0;
    for(int i=0;i<n;i++) cin>>a[i];
    for(int i=0;i<m;i++) {cin>>x[i]>>y[i]; suma+=abs(a[x[i]-1]+a[y[i]-1]);}
    cout<<suma;
    return 0;
}